Hi all,

since some recent package upgrades, login via serial console no longer works for me on my T1000 (and also T5220, with same disk). Logins via SSH are possible though (on T1000, the T5220 is still missing the correct network configuration in `/etc/network/interfaces`, so no luck there with SSH).


After entering username and password, a segfault happens:
```
Debian GNU/Linux buster/sid v245 ttyS0

v245 login: root
[ 26.316004] tg3 0001:03:04.0 enP1p3s4f0: Link is up at 1000 Mbps, full duplex [ 26.316217] tg3 0001:03:04.0 enP1p3s4f0: Flow control is on for TX and on for RX
[   26.316373] IPv6: ADDRCONF(NETDEV_CHANGE): enP1p3s4f0: link becomes ready
Password:
[ 30.654848] login[587]: segfault at 30 ip ffff80010051bc64 (rpc ffff800101aa1cc8) sp 000007fefffae431 error 1 in libc-2.25.so[ffff80010046c000+168000]

Debian GNU/Linux buster/sid v245 ttyS0

v245 login:
```

I attached the part of my `/var/log/apt/history.log` during which the change must have been happened. Last successful login via serial console was on 2018-01-15 according to `/var/log/auth.log`:

```
[...]
Jan 15 20:05:47 v245 login[616]: ROOT LOGIN  on '/dev/ttyS0'
[...]
```

Sorry, the list is very long and I already tried to select possibly relevant packages, but was unlucky so far.

I downgraded to the following packages so far (these were the respective package versions before the last upgrade IIC):

* libc6_2.25-4_sparc64.deb
* libc-bin_2.25-4_sparc64.deb
* libc6-dev_2.25-4_sparc64.deb
* libc-dev-bin_2.25-4_sparc64.deb
* libnss-systemd_236-3_sparc64.deb
* systemd_236-3_sparc64.deb
* libpam-systemd_236-3_sparc64.deb
* systemd-sysv_236-3_sparc64.deb
* libsystemd0_236-3_sparc64.deb
* udev_236-3_sparc64.deb
* libudev1_236-3_sparc64.deb

Any idea, what specific package (upgrade) could be responsible?

Cheers
Frank
Start-Date: 2018-02-03  18:57:15
Commandline: apt upgrade
Install: libmpfr6:sparc64 (4.0.0-7, automatic), libargon2-0:sparc64 (0~20161029-1.1, automatic), liblmdb0:sparc64 (0.9.21-1, automatic), libgdbm5:sparc64 (1.14.1-2, automatic), libcryptsetup12:sparc64 (2:2.0.0-1, automatic)
Upgrade: libmpc3:sparc64 (1.0.3-2, 1.1.0-1), fdisk:sparc64 (2.30.2-0.2, 2.30.2-0.3), libgcc-7-dev:sparc64 (7.2.0-18, 7.3.0-1+b1), manpages:sparc64 (4.14-1, 4.15-1), iso-codes:sparc64 (3.77-1, 3.78-1), libdns-export169:sparc64 (1:9.11.2+dfsg-5, 1:9.11.2.P1-1), libkrb5-3:sparc64 (1.15.2-2, 1.16-2), libgssapi-krb5-2:sparc64 (1.15.2-2, 1.16-2), libpython3.6-minimal:sparc64 (3.6.4-2, 3.6.4-3), util-linux-locales:sparc64 (2.30.2-0.2, 2.30.2-0.3), libisccfg160:sparc64 (1:9.11.2+dfsg-5, 1:9.11.2.P1-1), libfdisk1:sparc64 (2.30.2-0.2, 2.30.2-0.3), iptables:sparc64 (1.6.1-2+b1, 1.6.2-1), libapt-inst2.0:sparc64 (1.6~alpha6, 1.6~alpha7), libc6-dev:sparc64 (2.25-4, 2.26-4), p7zip:sparc64 (16.02+dfsg-4, 16.02+dfsg-5), libsystemd0:sparc64 (236-3, 237-1), dash:sparc64 (0.5.8-2.5, 0.5.8-2.10), apt:sparc64 (1.6~alpha6, 1.6~alpha7), cpp-7:sparc64 (7.2.0-18, 7.3.0-1+b1), libkmod2:sparc64 (24-1, 25-1), libmount1:sparc64 (2.30.2-0.2, 2.30.2-0.3), libsqlite3-0:sparc64 (3.21.0-1, 3.22.0-1), libpython3.6-stdlib:sparc64 (3.6.4-2, 3.6.4-3), binutils:sparc64 (2.29.1-13, 2.30-1), bind9-host:sparc64 (1:9.11.2+dfsg-5, 1:9.11.2.P1-1), libitm1:sparc64 (7.2.0-18, 7.3.0-1+b1), libgmp10:sparc64 (2:6.1.2+dfsg-1.1, 2:6.1.2+dfsg-2), libc6:sparc64 (2.25-4, 2.26-4), util-linux:sparc64 (2.30.2-0.2, 2.30.2-0.3), gcc-7-base:sparc64 (7.2.0-18, 7.3.0-1+b1), libgfortran-7-dev:sparc64 (7.2.0-18, 7.3.0-1+b1), python3.6:sparc64 (3.6.4-2, 3.6.4-3), openssh-sftp-server:sparc64 (1:7.6p1-2, 1:7.6p1-3), libk5crypto3:sparc64 (1.15.2-2, 1.16-2), libisc166:sparc64 (1:9.11.2+dfsg-5, 1:9.11.2.P1-1), libip6tc0:sparc64 (1.6.1-2+b1, 1.6.2-1), udev:sparc64 (236-3, 237-1), libcilkrts5:sparc64 (7.2.0-18, 7.3.0-1+b1), locales:sparc64 (2.25-5, 2.26-6), libasan4:sparc64 (7.2.0-18, 7.3.0-1+b1), libapt-pkg5.0:sparc64 (1.6~alpha6, 1.6~alpha7), gcc-6-base:sparc64 (6.4.0-10, 6.4.0-12+b1), kmod:sparc64 (24-1, 25-1), libudev1:sparc64 (236-3, 237-1), libapparmor1:sparc64 (2.12-1, 2.12-2), adduser:sparc64 (3.116, 3.117), installation-report:sparc64 (2.66, 2.67), krb5-locales:sparc64 (1.15.2-2, 1.16-2), libgcc1:sparc64 (1:7.2.0-18, 1:7.3.0-1+b1), python3-pycurl:sparc64 (7.43.0-2+b1, 7.43.0.1-0.2), mount:sparc64 (2.30.2-0.2, 2.30.2-0.3), python3.6-minimal:sparc64 (3.6.4-2, 3.6.4-3), libstdc++-7-dev:sparc64 (7.2.0-18, 7.3.0-1+b1), libiptc0:sparc64 (1.6.1-2+b1, 1.6.2-1), libblkid1:sparc64 (2.30.2-0.2, 2.30.2-0.3), dpkg:sparc64 (1.19.0.4, 1.19.0.5), libc-l10n:sparc64 (2.26-4, 2.26-6), libisc-export166:sparc64 (1:9.11.2+dfsg-5, 1:9.11.2.P1-1), libc-bin:sparc64 (2.25-4, 2.26-4), p7zip-full:sparc64 (16.02+dfsg-4, 16.02+dfsg-5), man-db:sparc64 (2.7.6.1-4, 2.7.6.1-4+b1), libubsan0:sparc64 (7.2.0-18, 7.3.0-1+b1), libgeoip1:sparc64 (1.6.11-3, 1.6.12-1), g++-7:sparc64 (7.2.0-18, 7.3.0-1+b1), libkrb5support0:sparc64 (1.15.2-2, 1.16-2), sed:sparc64 (4.4-1, 4.4-2), whiptail:sparc64 (0.52.20-1+b1, 0.52.20-2), libnewt0.52:sparc64 (0.52.20-1+b1, 0.52.20-2), libgfortran4:sparc64 (7.2.0-18, 7.3.0-1+b1), systemd-sysv:sparc64 (236-3, 237-1), libuuid1:sparc64 (2.30.2-0.2, 2.30.2-0.3), gcc-7:sparc64 (7.2.0-18, 7.3.0-1+b1), liblwres160:sparc64 (1:9.11.2+dfsg-5, 1:9.11.2.P1-1), gfortran-7:sparc64 (7.2.0-18, 7.3.0-1+b1), libpam-systemd:sparc64 (236-3, 237-1), python3-pkg-resources:sparc64 (38.2.4-2, 38.4.0-1), systemd:sparc64 (236-3, 237-1), libgomp1:sparc64 (7.2.0-18, 7.3.0-1+b1), libsmartcols1:sparc64 (2.30.2-0.2, 2.30.2-0.3), binutils-sparc64-linux-gnu:sparc64 (2.29.1-13, 2.30-1), openssh-server:sparc64 (1:7.6p1-2, 1:7.6p1-3), apt-utils:sparc64 (1.6~alpha6, 1.6~alpha7), iproute2:sparc64 (4.14.1-1, 4.14.1-2), openssh-client:sparc64 (1:7.6p1-2, 1:7.6p1-3), manpages-dev:sparc64 (4.14-1, 4.15-1), libnss-systemd:sparc64 (236-3, 237-1), bsdutils:sparc64 (1:2.30.2-0.2, 1:2.30.2-0.3), binutils-common:sparc64 (2.29.1-13, 2.30-1), libdns169:sparc64 (1:9.11.2+dfsg-5, 1:9.11.2.P1-1), libglib2.0-data:sparc64 (2.54.3-1, 2.54.3-2), libxtables12:sparc64 (1.6.1-2+b1, 1.6.2-1), libc-dev-bin:sparc64 (2.25-4, 2.26-4), libbinutils:sparc64 (2.29.1-13, 2.30-1), multiarch-support:sparc64 (2.25-4, 2.26-4), libgnutls30:sparc64 (3.5.16-1, 3.5.17-1), apparmor:sparc64 (2.12-1, 2.12-2), libisccc160:sparc64 (1:9.11.2+dfsg-5, 1:9.11.2.P1-1), wget:sparc64 (1.19.2-2, 1.19.4-1), libatomic1:sparc64 (7.2.0-18, 7.3.0-1+b1), libbind9-160:sparc64 (1:9.11.2+dfsg-5, 1:9.11.2.P1-1), libtasn1-6:sparc64 (4.12-3, 4.13-2), libcc1-0:sparc64 (7.2.0-18, 7.3.0-1+b1), libjson-c3:sparc64 (0.12.1-1.2, 0.12.1-1.3), libstdc++6:sparc64 (7.2.0-18, 7.3.0-1+b1), libdpkg-perl:sparc64 (1.19.0.4, 1.19.0.5), libip4tc0:sparc64 (1.6.1-2+b1, 1.6.2-1), python3-certifi:sparc64 (2017.11.5-1, 2018.1.18-1), libalgorithm-diff-xs-perl:sparc64 (0.04-4+b4, 0.04-5), libcurl3-gnutls:sparc64 (7.57.0-1, 7.58.0-2), hostname:sparc64 (3.18, 3.20), libdebconfclient0:sparc64 (0.238, 0.239), dpkg-dev:sparc64 (1.19.0.4, 1.19.0.5), tzdata:sparc64 (2017c-1, 2018c-1)
End-Date: 2018-02-03  19:03:31

Reply via email to